<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Book StructType
 * @package Dg
 * @subpackage Structs
 */
class DgBook extends AbstractStructBase
{
    /**
     * The BookBasketRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgBookBasketRQ
     */
    public $BookBasketRQ;
    /**
     * Constructor method for Book
     * @uses DgBook::setBookBasketRQ()
     * @param \dgsoft\StructType\DgBookBasketRQ $bookBasketRQ
     */
    public function __construct(\dgsoft\StructType\DgBookBasketRQ $bookBasketRQ = null)
    {
        $this
            ->setBookBasketRQ($bookBasketRQ);
    }
    /**
     * Get BookBasketRQ value
     * @return \dgsoft\StructType\DgBookBasketRQ|null
     */
    public function getBookBasketRQ()
    {
        return $this->BookBasketRQ;
    }
    /**
     * Set BookBasketRQ value
     * @param \dgsoft\StructType\DgBookBasketRQ $bookBasketRQ
     * @return \dgsoft\StructType\DgBook
     */
    public function setBookBasketRQ(\dgsoft\StructType\DgBookBasketRQ $bookBasketRQ = null)
    {
        $this->BookBasketRQ = $bookBasketRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgBook
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
